As a Wikipedia iOS project contributor, I can see if my changes pass tests and impact code quality metrics
Closed, InvalidPublic

Description

Corollary: Wikipedia iOS changes can only be merged if the testing job succeeds.

Subtasks

  • Implement linting/testing the iOS repo Done: using fastlane
  • Configure CI job to be triggered on code review submissions/updates
  • Configure CI job to update code review with job result

Acceptance criteria

Given I am working on the Wikipedia iOS repo
When I submit or update my changes for code review
Then CI should run a job configured by iOS engineers
And the job should lint & test the changes
And when the job finishes, I should post results back to the patch (+/- 1 CR and -1/+2 Verified)

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 3:09 PM
BGerstle-WMF triaged this task as Normal priority.Mar 26 2015, 4:46 PM
BGerstle-WMF raised the priority of this task from Normal to High.
BGerstle-WMF renamed this task from Get build server to vote on patches to As a Wikipedia iOS project contributor, my changes are automatically tested as part of code review..Jun 15 2015, 8:13 PM
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF edited subscribers, added: hashar; removed: Deskana, dr0ptp4kt.
BGerstle-WMF renamed this task from As a Wikipedia iOS project contributor, my changes are automatically tested as part of code review. to As a Wikipedia iOS project contributor, I can see if my changes pass tests and impact code quality metrics.Jul 24 2015, 1:43 PM
BGerstle-WMF closed this task as Invalid.
BGerstle-WMF claimed this task.

Migrated into T98970 so it can be its own epic (separating CD from CI to reduce scope)